#ifndef __EM84STATUS_H
#define __EM84STATUS_H

#include <vdr/status.h>

#include "em84receiver.h"

class cDeviceEm84xx;

class cEm84Status : public cStatus
{
private:
	cEm84Receiver* mReceiver;
	cDeviceEm84xx* mEm84Device;

protected:
  virtual void ChannelSwitch(const cDevice *Device, int ChannelNumber);

public:
	cEm84Status(cDeviceEm84xx* Em84Device);
	virtual ~cEm84Status();
};

#endif // __EM84STATUS_H

