#ifndef VDR_EM84XX_THREAD_H
#define VDR_EM84XX_THREAD_H

#include <vdr/thread.h>
#include <vdr/tools.h>
#include <fmp.h>

class cThreadEm84xx: public cThread {
private:
	bool       mActive;
	int        mPipe[2];
	FMP_BUFFER mBuffer;
	bool       mTrickMode;
	bool       mInTrick;

protected:
	virtual void Action(void);
	
public:
	cThreadEm84xx();
	virtual ~cThreadEm84xx();

	int PlayPacket(const uchar *Data, int Length);
	void TrickSpeed(int Speed);

	void AddPoller(cPoller &Poller);

	void Start(void);
	void Stop(void);
};

#endif // VDR_EM84XX_THREAD_H
