#ifndef VDR_EM84XX_SKIN_H
#define VDR_EM84XX_SKIN_H

#include <vdr/skins.h>

class cSkinEm84xx: public cSkin {
public:
	cSkinEm84xx(void);
	virtual ~cSkinEm84xx();

	virtual const char *Description(void) { return "Em84xx skin (2MB)"; }

	virtual cSkinDisplayChannel *DisplayChannel(bool WithInfo);
	virtual cSkinDisplayMenu *DisplayMenu(void);
	virtual cSkinDisplayReplay *DisplayReplay(bool ModeOnly);
	virtual cSkinDisplayVolume *DisplayVolume(void);
	virtual cSkinDisplayTracks *DisplayTracks(const char *Title, int NumTracks, const char * const *Tracks);
	virtual cSkinDisplayMessage *DisplayMessage(void);
};

#endif // VDR_EM84XX_SKIN_H
